Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "87421db0-dde2-4c33-8060-db37f848a702",
  "user_id": "4eab9927-2244-4e34-beac-d61d955561ef",
  "user_planning_slot_type_id": "b857a7c7-9fcc-4e65-86b5-bcf7e125bb03",
  "date_from": "2026-10-17T16:15:44.2891909+00:00",
  "date_to": "2026-10-17T16:15:44.2891909+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-17T16:15:44.2891909+00:00"
}